[Firebase Cloud Message Plugin] Problem installing cordova plugin

Forge Component
(6)
Published on 18 Jul by Experts
6 votes
Published on 18 Jul by Experts

Hi

I get following error when trying to create ipa files 

In iOS on 09/08/2019 at 16:24:21 - Error installing Cordova plugin: phonegap-plugin-push.

 In Android on 09/08/2019 at 16:23:38 - Error installing Cordova plugin: phonegap-plugin-push.


How can I fix this ?


Regards,

Anahit 

There could be many reasons. Do you have more detailed error/log?

Anahit Pahlevanyan wrote:

Hi

I get following error when trying to create ipa files 

In iOS on 09/08/2019 at 16:24:21 - Error installing Cordova plugin: phonegap-plugin-push.

 In Android on 09/08/2019 at 16:23:38 - Error installing Cordova plugin: phonegap-plugin-push.


How can I fix this ?


Regards,

Anahit 


- Make sure you have configured the zip correctly

- Make sure you have created an APNS certificate on Appstore & configures it with firebase

- Make sure your App Identifier given on firebase is matching while you are creating a build

- Common problem: check your MABS version [Personal Env, it is always the latest one 5.0 or +]

- Refer the Solution here [https://www.outsystems.com/forums/discussion/47988/error-while-generating-build-android/]

- Also, check the Plugin version you are using, I remember the old version was not stable with the latest MABS versions.



Solution

Hi


I found my problem. 


I should select tow firebase files and archive it, I used to create directory and than archive the directory


Regards,

Anahit 

Solution

Anahit Pahlevanyan wrote:

Hi


I found my problem. 


I should select tow firebase files and archive it, I used to create directory and than archive the directory


Regards,

Anahit 

Yep, you need to zip them under a single folder,

happy to know you resolved.


Cheers


Glad, it worked. assif_tiger indicated about zipping it correctly in his early reply. Better if he mentions in detail about how to zip/archive it.